Đến nội dung


Hình ảnh
- - - - -

Xin chỉ cách tạo "control"


  • Please log in to reply
3 replies to this topic

#1 thuphong

thuphong

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 18 November 2007 - 10:28 AM


Xin chào các Bác.
Mình có 1 vấn đề nhỏ như con thỏ này, nhưng công lực yếu quá không giải quyết nổi, hôm nay xin nhờ các Bác chỉ giáo giúp đỡ tại hạ .Chuyện con thỏ như sau:
- Tạo 1 control giống như color control nhưng trong control này chỉ cập nhật các thành phần có trong file *.ctb .Nếu được như control và có thêm button "Edit" như trong Form "Plot style table" của Print thì càng tuyệt.
Mục đích : có 1 công cụ trực quan để đưa vào "Tool bar" ,nhóm làm việc qua đó xem để cùng sử dụng nét bút (màu) thống nhất ,chứ mỗi lần muốn xem phài nhấn Ctrl+P rồi lại vào Edit của Plot style table thì mất công quá.
Kính mong các Sư phụ giúp đỡ, để tại hạ mau chóng thành "quả chín". Bể học vô bờ quá ,tại hạ bơi hoài trong cái ao mà vẫn chưa xong!
  • 0

#2 doanduyhung

doanduyhung

    biết vẽ spline

  • Members
  • PipPip
  • 90 Bài viết
Điểm đánh giá: 40 (tàm tạm)

Đã gửi 19 June 2008 - 12:00 AM


Xin chào các Bác.
Mình có 1 vấn đề nhỏ như con thỏ này, nhưng công lực yếu quá không giải quyết nổi, hôm nay xin nhờ các Bác chỉ giáo giúp đỡ tại hạ .Chuyện con thỏ như sau:
- Tạo 1 control giống như color control nhưng trong control này chỉ cập nhật các thành phần có trong file *.ctb .Nếu được như control và có thêm button "Edit" như trong Form "Plot style table" của Print thì càng tuyệt.
Mục đích : có 1 công cụ trực quan để đưa vào "Tool bar" ,nhóm làm việc qua đó xem để cùng sử dụng nét bút (màu) thống nhất ,chứ mỗi lần muốn xem phài nhấn Ctrl+P rồi lại vào Edit của Plot style table thì mất công quá.
Kính mong các Sư phụ giúp đỡ, để tại hạ mau chóng thành "quả chín". Bể học vô bờ quá ,tại hạ bơi hoài trong cái ao mà vẫn chưa xong!

1. Lấy đường dẩn chứa các file nét vẽ : (strcat (vl-registry-read (strcat "HKEY_CURRENT_USER\\" (vlax-product-key)) "RoamableRootFolder") "\\Plot Styles\\")))
2. Hàm lấy tất cả các file .ctb trong cad ra
(defun GetPlotStyleTableNames (ad)
(vla-RefreshPlotDeviceInfo
(vla-get-activelayout ad))
(vlax-safearray->list
(vlax-variant-value
(vla-getplotstyletablenames
(vla-item (vla-get-layouts ad) "Model"))))
)
3. Tạo lisp chứa tất cả các nét vẽ
(setq lispnetve (GetPlotStyleTableNames (vla-get-activedocument (vlax-get-acad-object))))
4. Có đường dẩn và lisp chứa các file nét vẽ thì bạn chạy file này lên là ok rồi, chỉ việc tạo các button và nhúng code vào là xong.
tham khảo ở đây nhé http://www.cadviet.c...n-an-t4330.html
  • 1

#3 thuphong

thuphong

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 09 July 2008 - 12:33 PM

1. Lấy đường dẩn chứa các file nét vẽ : (strcat (vl-registry-read (strcat "HKEY_CURRENT_USER\\" (vlax-product-key)) "RoamableRootFolder") "\\Plot Styles\\")))
2. Hàm lấy tất cả các file .ctb trong cad ra
(defun GetPlotStyleTableNames (ad)
(vla-RefreshPlotDeviceInfo
(vla-get-activelayout ad))
(vlax-safearray->list
(vlax-variant-value
(vla-getplotstyletablenames
(vla-item (vla-get-layouts ad) "Model"))))
)
3. Tạo lisp chứa tất cả các nét vẽ
(setq lispnetve (GetPlotStyleTableNames (vla-get-activedocument (vlax-get-acad-object))))
4. Có đường dẩn và lisp chứa các file nét vẽ thì bạn chạy file này lên là ok rồi, chỉ việc tạo các button và nhúng code vào là xong.
tham khảo ở đây nhé http://www.cadviet.c...n-an-t4330.html

Rất rất cảm ơn Bạn "doanduyhung"! , dạo này CadViet để nút Thanks chỗ nào không biết, để bấm cảm ơn Bạn. Thật sự, mình rất bất ngờ khi Topic của mình từ năm 2007, nay vẫn được trợ giúp, mấy ngày hôm nay không hiểu sao vào mạng khó quá ,giờ mới Online được. Nhưng bạn ơi, cái đoạn Bạn hướng dẫn, do mình dốt quá nên không vận dụng được ,thôi phải phiền Bạn giúp mình thôi. Mình muốn bạn tạo giúp cho mình 1 cái Control + 1Button giống như Form " Chọn File định dạng nét vẽ" trong chương trình INAN.VLX của bạn ; Mình muốn đưa Control + Button "sửa" này vào thanh ToolBar để tiện bấm chuột đó mà >Xin cảm ơn Bạn trước
  • 0

#4 thuphong

thuphong

    biết vẽ circle

  • Members
  • PipPip
  • 34 Bài viết
Điểm đánh giá: 18 (tàm tạm)

Đã gửi 18 July 2008 - 10:35 PM

Bạn "doanduyhung" ơi , giúp mình với. Mình không làm được
  • 0